From fd37d9733f840566926bae9917e37109f1b5b2e4 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 14:45:57 +0200
Subject: [PATCH 13/14] linux5.2: enable riscv.

---
 srcpkgs/linux5.2/files/riscv-dotconfig | 11080 +++++++++++++++++++++++
 srcpkgs/linux5.2/template              |     8 +-
 2 files changed, 11087 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/linux5.2/files/riscv-dotconfig

diff --git a/srcpkgs/linux5.2/template b/srcpkgs/linux5.2/template
index 1d30d65af10..0dbb2f15188 100644
--- a/srcpkgs/linux5.2/template
+++ b/srcpkgs/linux5.2/template
@@ -17,7 +17,7 @@ noverifyrdeps=yes
 noshlibprovides=yes
 preserve=yes
 
-archs="i686* x86_64* armv5tel* armv6l* armv7l* aarch64* ppc*"
+archs="i686* x86_64* armv5tel* armv6l* armv7l* aarch64* ppc* riscv*"
 hostmakedepends="bc elfutils-devel flex gmp-devel kmod libmpc-devel 
  libressl-devel perl uboot-mkimage cpio"
 
@@ -54,6 +54,7 @@ do_configure() {
 		ppc64le*) arch=powerpc; subarch=ppc64le;;
 		ppc64*) arch=powerpc; subarch=ppc64;;
 		ppc*) arch=powerpc;;
+		riscv*) arch=riscv;;
 	esac
 
 	if [ "$CROSS_BUILD" ]; then
@@ -88,6 +89,7 @@ do_build() {
 		arm*) _args="zImage modules dtbs"; arch=arm;;
 		aarch64*) _args="Image modules dtbs"; arch=arm64;;
 		ppc*) _args="zImage modules"; arch=powerpc;;
+		riscv*) _args="Image modules"; arch=riscv;;
 	esac
 	if [ "$CROSS_BUILD" ]; then
 		_cross="CROSS_COMPILE=${XBPS_CROSS_TRIPLET}-"
@@ -108,6 +110,7 @@ do_install() {
 		arm*) arch=arm;;
 		aarch64*) arch=arm64;;
 		ppc*) arch=powerpc;;
+		riscv*) arch=riscv;;
 	esac
 
 	# Run depmod after compressing modules.
@@ -139,6 +142,9 @@ do_install() {
 			vinstall vmlinux 644 boot vmlinux-${_kernver}
 			/usr/bin/$STRIP ${DESTDIR}/boot/vmlinux-${_kernver}
 			;;
+		riscv)
+			vinstall arch/riscv/boot/Image 644 boot vmlinux-${_kernver}
+			;;
 	esac
 
 	# Switch to /usr.

